<?php exit; ?>
12$Quick.Cms の基本的な使い方を解説します。$$$$$$$
13$より便利な使い方、カスタマイズ方法を解説します。$$$$$$$
14$よくある質問をまとめてあります。$$$$$$$
16$CMS（コンテンツ・マネージメント・システム）は、膨大になったウェブサイト（とくにポータルサイト）の<br />|n|<ol type="1">|n|<li>コンテンツ（ページ）の管理を簡単にしたい</li>|n|<li>HTML や FTP の知識のない人でも更新ができるようにしたい</li>|n|<li>複数の人間で更新・管理しても混乱がないようにしたい</li>|n|<li>会員管理を自動化したい</li>|n|</ol> |n|といった要求から生まれたもので、ブラウザで操作できることを基本とし、データベースとプログラムを使って、動的にページを生成、自動的にメニューやナビゲーションもつくり、リンクづけします。<br />|n|<br />|n|余談ですが、英語では Content Management System とつづり、すなおに読めば「コンテント・マネージメント・システム」となるはずですが、日本では、書籍や音楽、映画、アニメ、そしてウェブサイトなどの内容、あるいはそのものをコンテンツと複数形でいいならわしていたため、CMS も「コンテンツ…」ということが多いです。もちろん、「コンテント…」と読んでも間違いではありません。<br />|n|<br />|n|さて、CMS は、そもそも巨大サイトの管理をどうするか、というところからスタートしているので、かなり重量級のアプリケーションです。当初はすべてオーダーメイドで、開発費も相当かかっていました。その後、ノウハウの蓄積が進み、ページ管理のほか、ニュースやフォーラム、会員管理といった機能（モジュール）を組み合わせて使用する形になり、汎用化しました。現在では、無償使用できるものも多数、登場しています。<br />|n|<br />|n|しかし、CMS とはいうもののコンテンツ（各ページの内容）をプログラムが解析して体系化してくれるはずもなく、パートごとに担当者が独自にページの更新作業を行うため、全体の見通しは必ずしもよいとはいえず、目的のページにたどりつくには、結局「サイト内検索」にたよらざるをえないサイトも、たくさんできてしまっています。<br />|n|<br />|n|そうはいっても、自動的にサイトを構築してくれる機能はとても魅力的で、こんな便利なものがあったら、個人でもぜひ使いたいと思いますよね。しかし、個人ユースに適した軽量 CMS はなかなか登場せず、CMS は個人サイトには大げさすぎる、といわれつづけてきました。|n|[break]|n|そうこうしているうちにブログが普及し、ブログツールを CMS がわりに使う、ということもおこなわれています。ブログツールも CMS のひとつといえますが、ブログツールが基本的に時系列でページ（記事）を管理しようとするのにたいして、CMS は階層的、体系的に管理しようとするもので、思想（指向）が違います。<br />|n|<br />|n|ブログツールは、ニュース、コラム、日記、エッセイ等が中心のサイトには最適ですが、論文、解説、マニュアル、図鑑、資料集、事典的なサイトには不向きです。<br />|n|<br />|n|軽量 CMS 登場の遅れ（あるいはブログの急速な普及）の弊害は大きく、本来 CMS で作成されるべきサイトの多くが、ブログツールでつくられ、それなりに資源を蓄積してしまいました。<br />|n|<br />|n|いちどブログツールを使ってサイトをつくってしまうと、CMS への乗り換えは容易ではないのですが、なにしろ、ブログは時系列でページを管理しているので、参照が（目的のページにたどりつくのが）きわめて困難であり、したがって、内容の充実に反比例して、そのサイトの利用（閲覧）は減少していきます。<br />|n|<br />|n|いまでは、個人でも使える CMS も多数あります。データが増えすぎて収拾がつかなくなる前に、はやめに CMS に乗り換えたいところですが、現在（2010年）でも、軽量 CMS は一般化しているとはいえない状況です。$$$$$$$
10$とてもシンプルで軽量、そして使いやすいパーソナルCMS、Quick.Cms日本語版のインストール方法と、使い方を解説します。$$$$$$$
11$Quick.Cms の導入方法を解説します。$$$$$$$
18$<a href="http://opensolution.jp/?,3">こちら</a>にデータコンバーター（converter_v1.x-v2.x_j.zip）がありますので、ダウンロードしてください。<br /> |n|<br />|n|<b>ステップ1</b><br />|n|新しいディレクトリをつくって、それに最新版の Quick.Cms をインストールしてください。古いバージョンと同じディレクトリにインストールする場合は、config/ と db/、files/ をバックアップしておいてください。<br />|n|<br />|n|<b>ステップ2</b><br />|n|新しいバージョンの files/ へ、古いバージョンの files/ からファイルをすべてコピーしてください。<br />|n|<br />|n|<b>ステップ3</b><br />|n|新しいバージョンの files/ から「_m」のついたファイルを削除へ移動してください。<br />|n|<br />|n|<b>ステップ4</b><br />|n|画像処理ソフトを使ってサムネイルをつくり、files/100/（あるいは files/150/）へアップロードしてください。<br />|n|<br />|n|<b>ステップ5</b><br />|n|新しいバージョンの db/ から、*.def.php 以外のファイルをすべて削除してください。<br />|n|<br />|n|<b>ステップ6</b><br />|n|新しいバージョンに db_old/ ディレクトリをつくり、古いバージョンの db/ からファイルをすべてコピーしてください。<br />|n|<br />|n|<b>ステップ7</b><br />|n|converter_v1.x-v2.x_j.zip を解凍してできた convert_v1.x-v2.x_j.php を新しいバージョンと同じディレクトリにアップロードし、実行（最新版のQuick.Cms をインストールしたディレクトリ/convert_v1.x-v2.x_j.php にアクセス）してください。$$$$$$$
6$孫ページです。$$$$$$$
19$ポーランドの Quick.Cms、Quick.Cart の開発・配布元です。<br />|n|<br />|n|<a href="http://opensolution.org/">http://opensolution.org/</a> $$$$$$$
15$技術資料$$$$$$$
2$製品情報です。$$$$$$$
3$ダウンロードです。$$$$$$$
4$サポートです。$$$$$$$
1$Quick.Cms は、とてもシンプルで軽い CMS です。データベースを使用せず、PHP だけで動きますので、サーバーの選択肢も広いですし、インストールも簡単です。<br />|n|<br />|n|OpenSolution 日本ユーザー会で配布しているのは、無償版の Quic.Cms.Lite を日本語化したもので、これにはコンテンツ（ページ）を階層的に管理すること以外の機能はありません（有償版には、イメージギャラリー、ニュース、サイト内検索等の機能もついています）。<br />|n|<br />|n|データベースを使っていないので、読み込む手間のないぶん、表示もはやいです。データ量がふえると重くなることが予測されますが、そのときは、テーマごとに分割すればいいでしょう。どっちにしても、巨大サイトの管理には向いていません。$$$$$$$
20$Quick.Cms 日本語版の開発・配布元です。<br />|n|<br />|n|<a href="http://opensolution.jp/">http://opensolution.jp/</a> $$$$$$$
7$曾孫ページです。$$$$$$$
5$Quick.Cms は、とてもシンプルで軽い CMS です。データベースを使用せず、PHP だけで動きますので、サーバーの選択肢も広いですし、インストールも簡単です。<br />|n|<br />|n|OpenSolution 日本ユーザー会で配布しているのは、無償版の Quic.Cms.Lite を日本語化したもので、これにはコンテンツ（ページ）を階層的に管理すること以外の機能はありません（有償版には、イメージギャラリー、ニュース、サイト内検索等の機能もついています）。<br />|n|<br />|n|データベースを使っていないので、読み込む手間のないぶん、表示もはやいです。データ量がふえると重くなることが予測されますが、そのときは、テーマごとに分割すればいいでしょう。どっちにしても、巨大サイトの管理には向いていません。$$$$$$$
17$<b>ステップ 1</b><br />|n|解凍してできたファイルとフォルダを FTP ソフトを使って、あなたのサイトの任意のディレクトリにアップロードしてください。<br />|n|<br />|n|<b>ステップ 2</b><br />|n|サブディレクトリ config/、db/ 、files/ 、lang/ および、そのなかにあるすべてのファイルとディレクトリのアクセス権（属性、パーミッション）を777にしてください。アクセス権は、サーバによっては、707をすすめているところもあります。707で動けば707、動かなければ777にしてみてください。<br />|n|<br />|n|<b>ステップ 3</b><br />|n|ブラウザで、Quick.Cms をインストールしたアドレス（ディレクトリ）にアクセスします。ページが表示されなかったり、エラーメッセージが出るようでしたら、もういちど、ファイル、ディレクトリのアクセス権をチェックしてください。<br />|n|<br />|n|<b>ステップ 4</b><br />|n|つづいて、admin/ にアクセスして管理ページに入り、ログイン名とパスワードを変更してください。初期のログイン名は「admin」、パスワードは「admin」です。$$$$$$$
8$お問い合わせ$$$$$$$
9$このサイトについて$$$$$$$
21$子ページ2 です。$$$$$$$
22$子ページ3 です。$$$$$$$
